Name:		spec-helper
Version:	0.31.16
Release:	1
Summary:	Tools to ease the creation of rpm packages
License:	GPLv2+
Group:		Development/Other
URL:		http://svn.mandriva.com/svn/soft/rpm/spec-helper
Source0:	%{name}-%{version}.tar.xz
Requires:	findutils
Requires:	gettext
BuildRequires:	perl(IPC::Run)
BuildRequires:	perl(Digest::MD5)
BuildRequires:	perl(File::Slurp)
BuildRequires:	perl(List::MoreUtils)
BuildRequires:	rpm >= 1:5.4.4-21
BuildArch:	noarch

%description
Tools to ease the creation of rpm packages for the Mandriva Linux distribution.
Compress man pages using xz, convert links and perform some sanitizing on
packages built...

%prep
%setup -q

%build

%install
%makeinstall_std bindir=%{_bindir} rpmmacrosdir=%{_sys_macros_dir}

%check
make test

%files
%doc README NEWS
%{_bindir}/macroszification
%{_datadir}/spec-helper
%{_sys_macros_dir}/%{name}.macros


%changelog
* Fri Sep 28 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.31.16-1
+ Revision: 817883
- new version:
        o get rid of .la symlinks as well
        o don't relativize symlinks to /dev, /proc & /sys (inspired by similar
  	  change by colin in Mageia)
        o drop dead 'translate_menu' script
        o rewrite 'relink_symlinks' perl script in shell

* Wed Jun 06 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.31.15-1
+ Revision: 802910
- handle both /sbin/install-info & /usr/sbin/install-info

* Mon Jun 04 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.31.14-1
+ Revision: 802490
- /sbin/install-info has been moved to /usr/sbin/install-info

* Tue Mar 20 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.31.13-1
+ Revision: 785842
- add empty build section to satisfy rpmlint
- don't remove /usr/share/info/dir if /sbin/install-info is found in buildroot

* Fri Mar 16 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.31.12-1
+ Revision: 785374
- remove all .la files

* Sat Mar 10 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.31.11-1
+ Revision: 783939
- make sure that shared libraries & mono libraries/executables have executable
  permissions set

* Fri Dec 23 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.31.10-1
+ Revision: 744686
- support multiple libtool files with multiple pkgconfig files

* Thu Dec 22 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.31.9-1
+ Revision: 744311
- don't remove libtool .la files which has 'shouldnotlink=yes' set (thx Buchan!)

* Thu Dec 08 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.31.8-1
+ Revision: 738973
- fix error message printed when there's no pkgconfig dir

* Tue Dec 06 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.31.7-1
+ Revision: 738086
- remove legacy rpm stuff
- new version:
  	o remove libtool .la files

* Fri May 06 2011 Funda Wang <fwang@mandriva.org> 0.31.6-3
+ Revision: 669799
- rebuild

* Sat Apr 16 2011 Funda Wang <fwang@mandriva.org> 0.31.6-2
+ Revision: 653365
- add back runtime dep, do not know why it was removed

* Sat Apr 16 2011 Funda Wang <fwang@mandriva.org> 0.31.6-1
+ Revision: 653354
- * 0.31.6:
  remove empty dirs for perl modules, as its only use is to push unneeded
  arch dependent dirs into noarch packages

* Wed Dec 15 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.31.5-1mdv2011.0
+ Revision: 621858
- update description...
- re-enable --text option for xz

* Mon Nov 22 2010 Funda Wang <fwang@mandriva.org> 0.31.4-1mdv2011.0
+ Revision: 599603
- xz 5.0 do not support '--text' option now

* Tue Mar 09 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.31.3-1mdv2010.1
+ Revision: 516813
- new release: 0.31.3

* Fri Mar 05 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.31.2-1mdv2010.1
+ Revision: 514714
- hasty new release 0.31.2 as previous one was DOA :(

* Fri Mar 05 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.31.1-1mdv2010.1
+ Revision: 514575
- don't duplicate stripping functionality (partly responsible for #57754)

* Sat Jan 02 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.31.0-1mdv2010.1
+ Revision: 484954
- new version

* Sat Nov 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.30.6-1mdv2010.1
+ Revision: 468582
- new version

* Thu Jun 25 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.30.5-1mdv2010.0
+ Revision: 389171
- fix EXCLUDE_FROM_STRIP issue dealing with more than just one pattern, which
  would result in files being stripped even when they should've been excluded
  from files being stripped (cause of mdv bug #51374)

* Sat May 23 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.30.4-1mdv2010.0
+ Revision: 379000
- new version

* Wed May 13 2009 Michael Scherer <misc@mandriva.org> 0.30.3-1mdv2010.0
+ Revision: 375203
- new release, fix #50803 about missing compression on manpages

* Sat May 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.30.2-1mdv2010.0
+ Revision: 373625
- new version

* Fri May 08 2009 Götz Waschk <waschk@mandriva.org> 0.30.1-1mdv2010.0
+ Revision: 373384
- new version

* Thu May 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.30.0-1mdv2010.0
+ Revision: 373059
- new version

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.29.5-2mdv2009.1
+ Revision: 351506
- rebuild

* Tue Aug 26 2008 Pixel <pixel@mandriva.com> 0.29.5-1mdv2009.0
+ Revision: 276209
- 0.29.5: fix regression related to DONT_STRIP when not exported

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.29.4-2mdv2009.0
+ Revision: 265741
- rebuild early 2009.0 package (before pixel changes)

* Fri May 16 2008 Pixel <pixel@mandriva.com> 0.29.4-1mdv2009.0
+ Revision: 208146
- 0.29.4:
- strip_and_check_elf_files: skip check on /usr/lib/debug (#40847)

* Wed May 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.29.3-1mdv2009.0
+ Revision: 207063
- new version (fix regression from previous release)

* Wed May 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.29.2-1mdv2009.0
+ Revision: 207058
- new version (fix build hanging with special files)

* Thu May 08 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.29.1-1mdv2009.0
+ Revision: 204625
- new version (fix #40464)

* Wed May 07 2008 Pixel <pixel@mandriva.com> 0.29-1mdv2009.0
+ Revision: 202853
- 0.29: replace strip_files with strip_and_check_elf_files which checks for
  overlinking (cf http://wiki.mandriva.com/en/Overlinking) and "missing linking"
  (need checking if there are too many false positives)

* Sun Feb 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.28.1-1mdv2008.1
+ Revision: 164801
- new version

* Tue Jan 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.28.0-1mdv2008.1
+ Revision: 160030
- new version

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.27.2-1mdv2008.0
+ Revision: 81970
- new version

* Tue Sep 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.27.1-1mdv2008.0
+ Revision: 79619
- new version

* Sat Jul 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.27-1mdv2008.0
+ Revision: 51914
- 0.27: use lzma compression

* Sat Jun 30 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.26.1-1mdv2008.0
+ Revision: 45945
- new version

* Sun Jun 24 2007 Anssi Hannula <anssi@mandriva.org> 0.26-1mdv2008.0
+ Revision: 43761
- new version
  o do not corrupt files that have CR+LF as EOL

* Fri Jun 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.25-1mdv2008.0
+ Revision: 40094
- new version (fix #22066 and #22982)


* Wed Aug 09 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/09/06 16:42:48 (54891)
- rebuild

* Wed Aug 09 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/09/06 16:42:09 (54890)
Import spec-helper

* Sat Jul 01 2006 Olivier Thauvin <nanardon@mandriva.org> 0.24-1mdv2007.0
- 0.24
- Replace relative_me_babe by relink_symlinks, by Guillaume Rousse (bug #22983)

* Wed May 24 2006 Olivier Thauvin <nanardon@mandriva.org> 0.23-1mdk
- add missing call in macro file (spturtle)

* Mon May 22 2006 Olivier Thauvin <nanardon@mandriva.org> 0.22-1mdk
- fix gprintify path

* Sat May 20 2006 Olivier Thauvin <nanardon@mandriva.org> 0.21-1mdk
- fix typo in macros

* Sat May 20 2006 Olivier Thauvin <nanardon@mandriva.org> 0.20-1mdk
- cleanup
- split scripts, provide macros to disable it one by one
- rpm 4.4 integration using macrofile

* Thu May 18 2006 Olivier Thauvin <nanardon@mandriva.org> 0.12-2mdk
- remove 'mdk' words

* Thu May 18 2006 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.12-1mdk
- 0.12 (fix #21079)

* Fri Jan 07 2005 Frederic Lepied <flepied@mandrakesoft.com> 0.11-1mdk
- Fix translation of Internet menu entry
- handle file names starting with -

* Tue Aug 10 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.10.2-1mdk
- Fix translation of menu entries
- Other cleanups and speedups (tvignaud

* Fri Feb 06 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.10.1-1mdk
- use " around the section name in spec-helper

* Tue Jan 27 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.10-1mdk
- translate menus

* Thu Oct 09 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.9.2-3mdk
- also nuke /lib64/security/ paths

* Thu Oct 09 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.9.2-2mdk
- remove /lib/security from pam config files

